// OutlookColleagues
// Written by David J. Stein, Esq. See "License.html" for terms and conditions of use.
//
// This module contains the code for the configuration tool for OutlookColleagues.

#region Using declarations

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

#endregion

namespace OutlookColleaguesNS {

	public class OutlookColleaguesConfiguration : System.Windows.Forms.Form {

		#region Variables and initialization code

		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.NumericUpDown nudTotalButtons;
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.TextBox txtName;
		private System.Windows.Forms.TextBox txtLabel;
		private System.Windows.Forms.TextBox txtAddress;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.RadioButton rb1;
		private System.Windows.Forms.RadioButton rb2;
		private System.Windows.Forms.RadioButton rb3;
		private System.Windows.Forms.RadioButton rb4;
		private System.Windows.Forms.RadioButton rb5;
		private System.Windows.Forms.RadioButton rb10;
		private System.Windows.Forms.RadioButton rb9;
		private System.Windows.Forms.RadioButton rb8;
		private System.Windows.Forms.RadioButton rb7;
		private System.Windows.Forms.RadioButton rb6;
		private System.Windows.Forms.Button btnRemoveContact;
		private System.Windows.Forms.RadioButton rb20;
		private System.Windows.Forms.RadioButton rb19;
		private System.Windows.Forms.RadioButton rb18;
		private System.Windows.Forms.RadioButton rb17;
		private System.Windows.Forms.RadioButton rb16;
		private System.Windows.Forms.RadioButton rb15;
		private System.Windows.Forms.RadioButton rb14;
		private System.Windows.Forms.RadioButton rb13;
		private System.Windows.Forms.RadioButton rb12;
		private System.Windows.Forms.RadioButton rb11;

		private OutlookColleagues appinstance;
		private int intCurrentButton = 1;

		public OutlookColleaguesConfiguration(OutlookColleagues appinstance) {
			InitializeComponent();
			this.appinstance = appinstance;
		}


		#region Windows Form Designer generated code

		protected override void Dispose(bool disposing) {
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		private void InitializeComponent() {
			this.label1 = new System.Windows.Forms.Label();
			this.nudTotalButtons = new System.Windows.Forms.NumericUpDown();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.txtName = new System.Windows.Forms.TextBox();
			this.txtLabel = new System.Windows.Forms.TextBox();
			this.txtAddress = new System.Windows.Forms.TextBox();
			this.btnOK = new System.Windows.Forms.Button();
			this.rb1 = new System.Windows.Forms.RadioButton();
			this.rb2 = new System.Windows.Forms.RadioButton();
			this.rb3 = new System.Windows.Forms.RadioButton();
			this.rb4 = new System.Windows.Forms.RadioButton();
			this.rb5 = new System.Windows.Forms.RadioButton();
			this.rb10 = new System.Windows.Forms.RadioButton();
			this.rb9 = new System.Windows.Forms.RadioButton();
			this.rb8 = new System.Windows.Forms.RadioButton();
			this.rb7 = new System.Windows.Forms.RadioButton();
			this.rb6 = new System.Windows.Forms.RadioButton();
			this.btnRemoveContact = new System.Windows.Forms.Button();
			this.rb20 = new System.Windows.Forms.RadioButton();
			this.rb19 = new System.Windows.Forms.RadioButton();
			this.rb18 = new System.Windows.Forms.RadioButton();
			this.rb17 = new System.Windows.Forms.RadioButton();
			this.rb16 = new System.Windows.Forms.RadioButton();
			this.rb15 = new System.Windows.Forms.RadioButton();
			this.rb14 = new System.Windows.Forms.RadioButton();
			this.rb13 = new System.Windows.Forms.RadioButton();
			this.rb12 = new System.Windows.Forms.RadioButton();
			this.rb11 = new System.Windows.Forms.RadioButton();
			((System.ComponentModel.ISupportInitialize)(this.nudTotalButtons)).BeginInit();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 8);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(80, 23);
			this.label1.TabIndex = 0;
			this.label1.Text = "Visible Buttons";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// nudTotalButtons
			// 
			this.nudTotalButtons.Location = new System.Drawing.Point(104, 9);
			this.nudTotalButtons.Maximum = new System.Decimal(new int[] {
																																																																20,
																																																																0,
																																																																0,
																																																																0});
			this.nudTotalButtons.Minimum = new System.Decimal(new int[] {
																																																																1,
																																																																0,
																																																																0,
																																																																0});
			this.nudTotalButtons.Name = "nudTotalButtons";
			this.nudTotalButtons.Size = new System.Drawing.Size(40, 20);
			this.nudTotalButtons.TabIndex = 0;
			this.nudTotalButtons.Value = new System.Decimal(new int[] {
																																																														1,
																																																														0,
																																																														0,
																																																														0});
			this.nudTotalButtons.ValueChanged += new System.EventHandler(this.nudTotalButtons_ValueChanged);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(8, 48);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(72, 32);
			this.label2.TabIndex = 3;
			this.label2.Text = "Edit Settings for Button:";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(8, 144);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(88, 23);
			this.label3.TabIndex = 13;
			this.label3.Text = "Contact Name:";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(8, 176);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(88, 23);
			this.label4.TabIndex = 14;
			this.label4.Text = "Button Label:";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(8, 208);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(88, 23);
			this.label5.TabIndex = 15;
			this.label5.Text = "Email Address:";
			// 
			// txtName
			// 
			this.txtName.Location = new System.Drawing.Point(104, 144);
			this.txtName.Name = "txtName";
			this.txtName.Size = new System.Drawing.Size(192, 20);
			this.txtName.TabIndex = 21;
			this.txtName.Text = "";
			this.txtName.TextChanged += new System.EventHandler(this.txtName_TextChanged);
			// 
			// txtLabel
			// 
			this.txtLabel.Location = new System.Drawing.Point(104, 176);
			this.txtLabel.Name = "txtLabel";
			this.txtLabel.Size = new System.Drawing.Size(192, 20);
			this.txtLabel.TabIndex = 22;
			this.txtLabel.Text = "";
			this.txtLabel.TextChanged += new System.EventHandler(this.txtLabel_TextChanged);
			// 
			// txtAddress
			// 
			this.txtAddress.Location = new System.Drawing.Point(104, 208);
			this.txtAddress.Name = "txtAddress";
			this.txtAddress.Size = new System.Drawing.Size(192, 20);
			this.txtAddress.TabIndex = 23;
			this.txtAddress.Text = "";
			this.txtAddress.TextChanged += new System.EventHandler(this.txtAddress_TextChanged);
			// 
			// btnOK
			// 
			this.btnOK.Location = new System.Drawing.Point(87, 272);
			this.btnOK.Name = "btnOK";
			this.btnOK.Size = new System.Drawing.Size(128, 23);
			this.btnOK.TabIndex = 25;
			this.btnOK.Text = "OK";
			this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
			// 
			// rb1
			// 
			this.rb1.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb1.Checked = true;
			this.rb1.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb1.Location = new System.Drawing.Point(104, 40);
			this.rb1.Name = "rb1";
			this.rb1.Size = new System.Drawing.Size(32, 24);
			this.rb1.TabIndex = 1;
			this.rb1.Text = "1";
			this.rb1.CheckedChanged += new System.EventHandler(this.rb1_CheckedChanged);
			// 
			// rb2
			// 
			this.rb2.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb2.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb2.Location = new System.Drawing.Point(144, 40);
			this.rb2.Name = "rb2";
			this.rb2.Size = new System.Drawing.Size(32, 24);
			this.rb2.TabIndex = 2;
			this.rb2.Text = "2";
			this.rb2.CheckedChanged += new System.EventHandler(this.rb2_CheckedChanged);
			// 
			// rb3
			// 
			this.rb3.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb3.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb3.Location = new System.Drawing.Point(184, 40);
			this.rb3.Name = "rb3";
			this.rb3.Size = new System.Drawing.Size(32, 24);
			this.rb3.TabIndex = 3;
			this.rb3.Text = "3";
			this.rb3.CheckedChanged += new System.EventHandler(this.rb3_CheckedChanged);
			// 
			// rb4
			// 
			this.rb4.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb4.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb4.Location = new System.Drawing.Point(224, 40);
			this.rb4.Name = "rb4";
			this.rb4.Size = new System.Drawing.Size(32, 24);
			this.rb4.TabIndex = 4;
			this.rb4.Text = "4";
			this.rb4.CheckedChanged += new System.EventHandler(this.rb4_CheckedChanged);
			// 
			// rb5
			// 
			this.rb5.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb5.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb5.Location = new System.Drawing.Point(264, 40);
			this.rb5.Name = "rb5";
			this.rb5.Size = new System.Drawing.Size(32, 24);
			this.rb5.TabIndex = 5;
			this.rb5.Text = "5";
			this.rb5.CheckedChanged += new System.EventHandler(this.rb5_CheckedChanged);
			// 
			// rb10
			// 
			this.rb10.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb10.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb10.Location = new System.Drawing.Point(264, 64);
			this.rb10.Name = "rb10";
			this.rb10.Size = new System.Drawing.Size(32, 24);
			this.rb10.TabIndex = 10;
			this.rb10.Text = "10";
			this.rb10.CheckedChanged += new System.EventHandler(this.rb10_CheckedChanged);
			// 
			// rb9
			// 
			this.rb9.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb9.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb9.Location = new System.Drawing.Point(224, 64);
			this.rb9.Name = "rb9";
			this.rb9.Size = new System.Drawing.Size(32, 24);
			this.rb9.TabIndex = 9;
			this.rb9.Text = "9";
			this.rb9.CheckedChanged += new System.EventHandler(this.rb9_CheckedChanged);
			// 
			// rb8
			// 
			this.rb8.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb8.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb8.Location = new System.Drawing.Point(184, 64);
			this.rb8.Name = "rb8";
			this.rb8.Size = new System.Drawing.Size(32, 24);
			this.rb8.TabIndex = 8;
			this.rb8.Text = "8";
			this.rb8.CheckedChanged += new System.EventHandler(this.rb8_CheckedChanged);
			// 
			// rb7
			// 
			this.rb7.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb7.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb7.Location = new System.Drawing.Point(144, 64);
			this.rb7.Name = "rb7";
			this.rb7.Size = new System.Drawing.Size(32, 24);
			this.rb7.TabIndex = 7;
			this.rb7.Text = "7";
			this.rb7.CheckedChanged += new System.EventHandler(this.rb7_CheckedChanged);
			// 
			// rb6
			// 
			this.rb6.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb6.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb6.Location = new System.Drawing.Point(104, 64);
			this.rb6.Name = "rb6";
			this.rb6.Size = new System.Drawing.Size(32, 24);
			this.rb6.TabIndex = 6;
			this.rb6.Text = "6";
			this.rb6.CheckedChanged += new System.EventHandler(this.rb6_CheckedChanged);
			// 
			// btnRemoveContact
			// 
			this.btnRemoveContact.Location = new System.Drawing.Point(87, 240);
			this.btnRemoveContact.Name = "btnRemoveContact";
			this.btnRemoveContact.Size = new System.Drawing.Size(128, 23);
			this.btnRemoveContact.TabIndex = 24;
			this.btnRemoveContact.Text = "Remove This Contact From List";
			this.btnRemoveContact.Click += new System.EventHandler(this.btnRemoveContact_Click);
			// 
			// rb20
			// 
			this.rb20.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb20.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb20.Location = new System.Drawing.Point(264, 112);
			this.rb20.Name = "rb20";
			this.rb20.Size = new System.Drawing.Size(32, 24);
			this.rb20.TabIndex = 20;
			this.rb20.Text = "20";
			this.rb20.CheckedChanged += new System.EventHandler(this.rb20_CheckedChanged);
			// 
			// rb19
			// 
			this.rb19.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb19.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb19.Location = new System.Drawing.Point(224, 112);
			this.rb19.Name = "rb19";
			this.rb19.Size = new System.Drawing.Size(32, 24);
			this.rb19.TabIndex = 19;
			this.rb19.Text = "19";
			this.rb19.CheckedChanged += new System.EventHandler(this.rb19_CheckedChanged);
			// 
			// rb18
			// 
			this.rb18.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb18.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb18.Location = new System.Drawing.Point(184, 112);
			this.rb18.Name = "rb18";
			this.rb18.Size = new System.Drawing.Size(32, 24);
			this.rb18.TabIndex = 18;
			this.rb18.Text = "18";
			this.rb18.CheckedChanged += new System.EventHandler(this.rb18_CheckedChanged);
			// 
			// rb17
			// 
			this.rb17.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb17.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb17.Location = new System.Drawing.Point(144, 112);
			this.rb17.Name = "rb17";
			this.rb17.Size = new System.Drawing.Size(32, 24);
			this.rb17.TabIndex = 17;
			this.rb17.Text = "17";
			this.rb17.CheckedChanged += new System.EventHandler(this.rb17_CheckedChanged);
			// 
			// rb16
			// 
			this.rb16.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb16.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb16.Location = new System.Drawing.Point(104, 112);
			this.rb16.Name = "rb16";
			this.rb16.Size = new System.Drawing.Size(32, 24);
			this.rb16.TabIndex = 16;
			this.rb16.Text = "16";
			this.rb16.CheckedChanged += new System.EventHandler(this.rb16_CheckedChanged);
			// 
			// rb15
			// 
			this.rb15.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb15.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb15.Location = new System.Drawing.Point(264, 88);
			this.rb15.Name = "rb15";
			this.rb15.Size = new System.Drawing.Size(32, 24);
			this.rb15.TabIndex = 15;
			this.rb15.Text = "15";
			this.rb15.CheckedChanged += new System.EventHandler(this.rb15_CheckedChanged);
			// 
			// rb14
			// 
			this.rb14.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb14.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb14.Location = new System.Drawing.Point(224, 88);
			this.rb14.Name = "rb14";
			this.rb14.Size = new System.Drawing.Size(32, 24);
			this.rb14.TabIndex = 14;
			this.rb14.Text = "14";
			this.rb14.CheckedChanged += new System.EventHandler(this.rb14_CheckedChanged);
			// 
			// rb13
			// 
			this.rb13.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb13.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb13.Location = new System.Drawing.Point(184, 88);
			this.rb13.Name = "rb13";
			this.rb13.Size = new System.Drawing.Size(32, 24);
			this.rb13.TabIndex = 13;
			this.rb13.Text = "13";
			this.rb13.CheckedChanged += new System.EventHandler(this.rb13_CheckedChanged);
			// 
			// rb12
			// 
			this.rb12.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb12.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb12.Location = new System.Drawing.Point(144, 88);
			this.rb12.Name = "rb12";
			this.rb12.Size = new System.Drawing.Size(32, 24);
			this.rb12.TabIndex = 12;
			this.rb12.Text = "12";
			this.rb12.CheckedChanged += new System.EventHandler(this.rb12_CheckedChanged);
			// 
			// rb11
			// 
			this.rb11.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rb11.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.rb11.Location = new System.Drawing.Point(104, 88);
			this.rb11.Name = "rb11";
			this.rb11.Size = new System.Drawing.Size(32, 24);
			this.rb11.TabIndex = 11;
			this.rb11.Text = "11";
			this.rb11.CheckedChanged += new System.EventHandler(this.rb11_CheckedChanged);
			// 
			// OutlookColleaguesConfiguration
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(302, 300);
			this.Controls.Add(this.rb20);
			this.Controls.Add(this.rb19);
			this.Controls.Add(this.rb18);
			this.Controls.Add(this.rb17);
			this.Controls.Add(this.rb16);
			this.Controls.Add(this.rb15);
			this.Controls.Add(this.rb14);
			this.Controls.Add(this.rb13);
			this.Controls.Add(this.rb12);
			this.Controls.Add(this.rb11);
			this.Controls.Add(this.btnRemoveContact);
			this.Controls.Add(this.rb10);
			this.Controls.Add(this.rb9);
			this.Controls.Add(this.rb8);
			this.Controls.Add(this.rb7);
			this.Controls.Add(this.rb6);
			this.Controls.Add(this.rb5);
			this.Controls.Add(this.rb4);
			this.Controls.Add(this.rb3);
			this.Controls.Add(this.rb2);
			this.Controls.Add(this.rb1);
			this.Controls.Add(this.btnOK);
			this.Controls.Add(this.txtAddress);
			this.Controls.Add(this.txtLabel);
			this.Controls.Add(this.txtName);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.nudTotalButtons);
			this.Controls.Add(this.label1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
			this.Name = "OutlookColleaguesConfiguration";
			this.Text = "OutlookColleagues Options";
			this.Load += new System.EventHandler(this.OutlookColleaguesConfiguration_Load);
			((System.ComponentModel.ISupportInitialize)(this.nudTotalButtons)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		#endregion

		#region Button-click event handlers

		private void rb1_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 1;
			AdjustButtons();
		}

		private void rb2_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 2;
			AdjustButtons();
		}

		private void rb3_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 3;
			AdjustButtons();
		}

		private void rb4_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 4;
			AdjustButtons();
		}

		private void rb5_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 5;
			AdjustButtons();
		}

		private void rb6_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 6;
			AdjustButtons();
		}

		private void rb7_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 7;
			AdjustButtons();
		}

		private void rb8_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 8;
			AdjustButtons();
		}

		private void rb9_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 9;
			AdjustButtons();
		}

		private void rb10_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 10;
			AdjustButtons();
		}

		private void rb11_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 11;
			AdjustButtons();
		}

		private void rb12_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 12;
			AdjustButtons();
		}

		private void rb13_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 13;
			AdjustButtons();
		}

		private void rb14_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 14;
			AdjustButtons();
		}

		private void rb15_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 15;
			AdjustButtons();
		}

		private void rb16_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 16;
			AdjustButtons();
		}

		private void rb17_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 17;
			AdjustButtons();
		}

		private void rb18_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 18;
			AdjustButtons();
		}

		private void rb19_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 19;
			AdjustButtons();
		}

		private void rb20_CheckedChanged(object sender, System.EventArgs e) {
			intCurrentButton = 20;
			AdjustButtons();
		}

		private void btnRemoveContact_Click(object sender, System.EventArgs e) {
			if (MessageBox.Show("Are you sure you want to remove this contact?", "Confirm Contact Removal", System.Windows.Forms.MessageBoxButtons.YesNo, System.Windows.Forms.MessageBoxIcon.Question) == DialogResult.Yes) {  // delete contact and adjust buttons
				appinstance.contactItems.RemoveAt(intCurrentButton - 1);
				AdjustButtons();
			}
		}

		private void btnOK_Click(object sender, System.EventArgs e) {
			Close();
		}

		private void txtName_TextChanged(object sender, System.EventArgs e) {
			((ContactItem) appinstance.contactItems[intCurrentButton - 1]).strName = txtName.Text;
		}

		private void txtLabel_TextChanged(object sender, System.EventArgs e) {
			((ContactItem) appinstance.contactItems[intCurrentButton - 1]).strLabel = txtLabel.Text;
		}

		private void txtAddress_TextChanged(object sender, System.EventArgs e) {
			((ContactItem) appinstance.contactItems[intCurrentButton - 1]).strAddress = txtAddress.Text;
		}

		private void nudTotalButtons_ValueChanged(object sender, System.EventArgs e) {
			appinstance.intShowButtons = (int) nudTotalButtons.Value;
		}
		#endregion

		#region Other event handlers

		private void OutlookColleaguesConfiguration_Load(object sender, System.EventArgs e) {
			this.nudTotalButtons.Value = appinstance.intShowButtons;
			AdjustButtons();
		}

		#endregion

		#region Helper functions

		private void AdjustButtons() {
			// This function updates the buttons in the configuration tool.
			while (appinstance.contactItems.Count < intCurrentButton)  // add extra entries until we have an entry that we can edit
				appinstance.contactItems.Add(new ContactItem(0, System.DateTime.Now, "(empty)", "(empty)", ""));
			txtAddress.Text = ((ContactItem) appinstance.contactItems[intCurrentButton - 1]).strAddress;
			txtLabel.Text = ((ContactItem) appinstance.contactItems[intCurrentButton - 1]).strLabel;
			txtName.Text = ((ContactItem) appinstance.contactItems[intCurrentButton - 1]).strName;
			rb2.Enabled = (appinstance.contactItems.Count < 1 ? false : true);
			rb3.Enabled = (appinstance.contactItems.Count < 2 ? false : true);
			rb4.Enabled = (appinstance.contactItems.Count < 3 ? false : true);
			rb5.Enabled = (appinstance.contactItems.Count < 4 ? false : true);
			rb6.Enabled = (appinstance.contactItems.Count < 5 ? false : true);
			rb7.Enabled = (appinstance.contactItems.Count < 6 ? false : true);
			rb8.Enabled = (appinstance.contactItems.Count < 7 ? false : true);
			rb9.Enabled = (appinstance.contactItems.Count < 8 ? false : true);
			rb10.Enabled = (appinstance.contactItems.Count < 9 ? false : true);
			rb11.Enabled = (appinstance.contactItems.Count < 10 ? false : true);
			rb12.Enabled = (appinstance.contactItems.Count < 11 ? false : true);
			rb13.Enabled = (appinstance.contactItems.Count < 12 ? false : true);
			rb14.Enabled = (appinstance.contactItems.Count < 13 ? false : true);
			rb15.Enabled = (appinstance.contactItems.Count < 14 ? false : true);
			rb16.Enabled = (appinstance.contactItems.Count < 15 ? false : true);
			rb17.Enabled = (appinstance.contactItems.Count < 16 ? false : true);
			rb18.Enabled = (appinstance.contactItems.Count < 17 ? false : true);
			rb19.Enabled = (appinstance.contactItems.Count < 18 ? false : true);
			rb20.Enabled = (appinstance.contactItems.Count < 19 ? false : true);
		}

		#endregion

	}
}
